[tor-commits] [tor/master] scripts: In git-pull-all.sh, also fetch the latest tor-github pull requests

asn at torproject.org asn at torproject.org
Thu Apr 18 10:23:55 UTC 2019


commit 5722c6d12d75ad1ddb28c32a11aae7aed7ccf5db
Author: teor <teor at torproject.org>
Date:   Wed Apr 10 19:26:47 2019 +1000

    scripts: In git-pull-all.sh, also fetch the latest tor-github pull requests
    
    Implements ticket 30114.
---
 changes/ticket30114         |  3 +++
 scripts/git/git-pull-all.sh | 18 +++++++++++++++++-
 2 files changed, 20 insertions(+), 1 deletion(-)

diff --git a/changes/ticket30114 b/changes/ticket30114
new file mode 100644
index 000000000..a80f7f4dc
--- /dev/null
+++ b/changes/ticket30114
@@ -0,0 +1,3 @@
+  o Minor features (git scripts):
+    - In git-pull-all.sh, also fetch the latest tor-github pull requests.
+      Implements ticket 30114.
diff --git a/scripts/git/git-pull-all.sh b/scripts/git/git-pull-all.sh
index 0a4898a11..5d1d58e4b 100755
--- a/scripts/git/git-pull-all.sh
+++ b/scripts/git/git-pull-all.sh
@@ -174,6 +174,19 @@ function fetch_origin
   fi
 }
 
+# Fetch tor-github pull requests. No arguments.
+function fetch_tor_github
+{
+  local cmd="git fetch tor-github"
+  printf "  %s Fetching tor-github..." "$MARKER"
+  if [ $DRY_RUN -eq 0 ]; then
+    msg=$( eval "$cmd" 2>&1 )
+    validate_ret $? "$msg"
+  else
+    printf "\\n      %s\\n" "${IWTH}$cmd${CNRM}"
+  fi
+}
+
 ###############
 # Entry point #
 ###############
@@ -188,8 +201,11 @@ while getopts "n" opt; do
   esac
 done
 
-# First, fetch the origin.
+# First, fetch tor-github.
 goto_repo "$ORIGIN_PATH"
+fetch_tor_github
+
+# Then, fetch the origin.
 fetch_origin
 
 # Go over all configured worktree.





More information about the tor-commits mailing list